<script>
	export default {
		globalData:{
				openid:'', //用户openid
				userInfo:null, //用户信息				
		},
		
		onLaunch: function() {
			  let that = this;
			  let date = new Date()
			  this.globalData.year = date.getFullYear()-1;
								
			  uni.getStorage({
			  	key:'openid',
					success(res){
						if(res.data){
							that.globalData.openid = res.data;
						} 
					}
			  })
				
				uni.getStorage({
					key:'userInfo',
					success(res){
						if(res.data){
							that.globalData.userInfo = res.data;
						} 
					}
				})
		},
		
	}
</script>

<style>
page{ height:100%; width:100%;}
image,view,input,textarea,label,text,navigator{ box-sizing: border-box; color:#333; font-size:30rpx;}
image{width:100%; height:100%;}
.btn{ background-image: linear-gradient(45deg, #0d93f0, #1fc2f8); width:100%; text-align: center; line-height:80rpx; height:80rpx; border-radius:80rpx; color:#fff; border:0; font-size:32rpx;}
.btn:active{ opacity:0.8;}
::-webkit-scrollbar {width: 0;height: 0;color: transparent;}
.more{  color:#bfbfbf;  text-align:center; padding:30rpx 0; display:flex; align-items:center; justify-content: center; }
.more image{ width:30rpx; height:30rpx; margin-left:12rpx;}
.nodata{ position: absolute; left:0; right:0; text-align:center; top:50%; transform: translateY(-50%);}
.nodata	image{ width:220rpx; height:180rpx;}
.nodata	view{color:#bfbfbf; padding-top:15rpx;}
</style>
